<?
ini_set('error_reporting',1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa =$_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=31;

include("../conex.php");
include("../autoriza.php");

if ($grabar==0)  
{
?>
		<script>
		alert ("No Autorizado");
		parent.location.href = 'index.php';
		</script>
	<? 
	exit();
}	

if (!empty($_POST["id"]))	
{
$id= $_POST["id"];
$nombre = $_POST["nombre"];
$empresa=$_POST["lstem"];
$encargado = $_POST["encargado"];
$ubicacion = $_POST["ubicacion"];
$telefono = $_POST["telefono"];
$fax = $_POST["fax"];
$correo = $_POST["correo"];
}
else {
?>
	<script language="javascript" type="text/javascript">
	parent.location.href = 'index.php';
	</script>
<?
$id= 'S';
$nombre = '';
$empresa='';
$encargado = '';
$ubicacion = '';
$telefono = '';
$fax = '';
$correo = '';
}

if ($id!=0)
{
	$psql = "UPDATE bodega SET descripcion = '$nombre', empresa = $empresa, encargado = '$encargado', ubicacion = '$ubicacion', telefono = '$telefono', fax = '$fax', 			correo = '$correo' WHERE id=$id";
	$consulta = mysql_query($psql,$enlace);
	?>
	<script language="javascript" type="text/javascript">
	alert ("Bodega <?=$nombre.'\nActualizado Con Exito!';?>");
	parent.location.href = 'index.php';
	</script>
	<?
}
else
{
	$cont=0;
	$sql_busca = "SELECT * FROM bodega WHERE descripcion = '$nombre'";
	$res_busca =  mysql_query($sql_busca, $enlace);		
	while (mysql_fetch_object ($res_busca))
		{
		$cont+=1;
		}
	
	if ($cont==0){
		$psql = "INSERT INTO bodega (descripcion, empresa, encargado, ubicacion, telefono, fax, correo) VALUES ('$nombre', $empresa, 
		'$encargado', '$ubicacion', '$telefono', '$fax', '$correo')";
		$consulta = mysql_query($psql,$enlace);
		?>
		<script language="javascript" type="text/javascript">
		alert ("Bodega <?=$nombre.'\nCreado Con Exito!';?>");
		parent.location.href = 'index.php';
		</script>
		<?
	} else {
		?>
		<script language="javascript" type="text/javascript">
		alert ("La Bodega <?=$nombre.'\nya existe!';?>");
		parent.location.href = 'index.php';
		</script>
		<?
	} 
}
?>